<template>
	<view>
		<view  class="content">
			<view class="p">本指引是运动湾24小时健身小程序开发者 "徐州波塞冬体育发展有限公司"（以下简称“开发者”）为处理你的个人信息而制定。</view>
			<view class="p">1.开发者处理的信息</view>
			<view class="p">根据法律规定，开发者仅处理实现小程序功能所必要的信息。</view>
			<view class="p">为了登录，开发者将在获取你的明示同意后，收集你的手机号。</view>
			<view class="p">2.你的权益</view>
			<view class="p">2.1关于收集你的手机号，你可以通过以下路径：小程序主页右上角“...” — “设置” — “小程序已获取的信息” — 点击特定信息 — 点击“通知开发者删除”，开发者承诺收到通知后将删除信息。法律法规另有规定的，开发者承诺将停止除存储和采取必要的安全保护措施之外的处理。</view>
			<view class="p">2.2关于你的个人信息，你可以通过以下方式与开发者联系，行使查阅、复制、更正、删除等法定权利。</view>
			<view class="p">2.3若你在小程序中注册了账号，你可以通过以下方式与开发者联系，申请注销你在小程序中使用的账号。在受理你的申请后，开发者承诺在十五个工作日内完成核查和处理，并按照法律法规要求处理你的相关信息。</view>
			<view class="p">3.开发者对信息的存储</view>
			<view class="p">开发者承诺，除法律法规另有规定外，开发者对你的信息的保存期限应当为实现处理目的所必要的最短时间。</view>
			<view class="p">4.信息的使用规则</view>
			<view class="p">4.1开发者将会在本指引所明示的用途内使用收集的信息</view>
			<view class="p">4.2如开发者使用你的信息超出本指引目的或合理范围，开发者必须在变更使用目的或范围前，再次以提示方式告知并征得你的明示同意。</view>
			<view class="p">5.信息对外提供</view>
			<view class="p">5.1开发者承诺，不会主动共享或转让你的信息至任何第三方，如存在确需共享或转让时，开发者应当直接征得或确认第三方征得你的单独同意。</view>
			<view class="p">5.2开发者承诺，不会对外公开披露你的信息，如必须公开披露时，开发者应当向你告知公开披露的目的、披露信息的类型及可能涉及的信息，并征得你的单独同意。</view>
			<view class="p">6.你认为开发者未遵守上述约定，或有其他的投诉建议、或未成年人个人信息保护相关问题，可通过以下方式与开发者联系；或者向微信进行投诉。</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				content:'',
				title:'',
				xy:''
			}
		},
		onLoad(e) {
			this.xy=e.xy
			if(e.xy=='yonghu'){
				this.title='服务协议'
			}else{
				this.title='隐私协议'
			}
		},
		onReady() {
			//新的标题
			uni.setNavigationBarTitle({
				title:this.title
			})
		},
		onShow() {
			// if(this.xy=='yonghu'){
			// 	this.memberAgreement()
			// }else{
			// 	this.memberPrivacy()
			// }
			
		},
		methods: {
			memberPrivacy(){
				this.$api.memberPrivacy().then(res=>{
					console.log(7,res);
					this.content=res.data.content
				})
			},
			memberAgreement(){
				this.$api.memberAgreement().then(res=>{
					console.log(7,res);
					this.content=res.data.content
				})
			}
		}
	}
</script>

<style scoped>
.content{
	padding: 25rpx;
	overflow: hidden;
}
.content .p{
	font-size: 26rpx;
	color: #212121;
	line-height: 50rpx;
}
</style>
